# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KColorPatch Class Reference

The KColorPatch widget is a (usually small) widget showing a selected color e. A color shower. More...

`#include <kcolordialog.h>`

Inheritance diagram for KColorPatch:

[legend]
Collaboration diagram for KColorPatch:

[legend]
List of all members.

## Signals

void | colorChanged (const QColor &)

## Public Member Functions

| KColorPatch (QWidget *parent)
void | setColor (const QColor &col)

## Protected Member Functions

virtual void | drawContents (QPainter *painter)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The KColorPatch widget is a (usually small) widget showing a selected color e. A color shower.

g. in the KColorDialog. It automatically handles drag and drop from and on the widget.

Definition at line 326 of file kcolordialog.h.

The documentation for this class was generated from the following file:

- kcolordialog.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001